describe("GolombCompression", function () {
	var golomb = new GolombCompression();
	
	it("should encode and decode string", function () {
		var simpleString = "foobar test";
		var encodedString = golomb.encode(simpleString, 64);
		var decodeString = golomb.decode(encodedString, 64);
		
		expect(decodeString).toEqual(simpleString);
	});
	
	it("should encode and decode long string", function () {
		var tmpArr = [];
		tmpArr[1000] = "";
		var simpleString = tmpArr.join("foobar test");
		var encodedString = golomb.encode(simpleString, 64);
		var decodeString = golomb.decode(encodedString, 64);
		
		expect(decodeString).toEqual(simpleString);
	});
});